curl https://api.openfi.co/v1/payments/pay_01HZX... \
-H "Authorization: Bearer $OPENFI_API_KEY"
{
"id": "pay_01HZX...",
"status": "settled",
"amount": 2500.00,
"currency": "USD",
"settlement": {
"chain": "aptos",
"tx_hash": "0x9f3c..."
},
"created_at": "2026-08-27T14:03:00Z"
}
Payments (one-time)
Retrieve a payment
Fetch the current status of a one-time payment.
GET
/
v1
/
payments
/
{id}
curl https://api.openfi.co/v1/payments/pay_01HZX... \
-H "Authorization: Bearer $OPENFI_API_KEY"
{
"id": "pay_01HZX...",
"status": "settled",
"amount": 2500.00,
"currency": "USD",
"settlement": {
"chain": "aptos",
"tx_hash": "0x9f3c..."
},
"created_at": "2026-08-27T14:03:00Z"
}
string
required
The payment ID, e.g.
pay_01HZX....curl https://api.openfi.co/v1/payments/pay_01HZX... \
-H "Authorization: Bearer $OPENFI_API_KEY"
{
"id": "pay_01HZX...",
"status": "settled",
"amount": 2500.00,
"currency": "USD",
"settlement": {
"chain": "aptos",
"tx_hash": "0x9f3c..."
},
"created_at": "2026-08-27T14:03:00Z"
}

